package org.jeecg.modules.hotelorder.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelorder.entity.HotelOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.hotelorderlog.entity.HotelOrderLog;

/**
 * @Description: hotel_order
 * @Author: jeecg-boot
 * @Date:   2024-09-11
 * @Version: V1.0
 */
public interface IHotelOrderService extends IService<HotelOrder> {

    HotelOrder getOrderOne(String id, String userId);

    HotelOrder getOrderOne2(String id, String userId);

    HotelOrder getOrderOne3(String id, String userId);

    IPage<HotelOrder> getOrderLogPage(Page<HotelOrder> page, String userId, Integer type, String uid);

    IPage<HotelOrder> getShopWashOrderPage(Page<HotelOrder> page, String userId);

    HotelOrder getOrderByUserIdById(String userId,String id);
}
